# Class Mx1Manifest

java.lang.Object
com.io7m.montarre.xml.internal.v1.Mx1Manifest

All Implemented Interfaces:
  `com.io7m.blackthorne.core.BTElementHandlerType<MManifestItemType,MManifest>`

public final class Mx1Manifest extends Object implements com.io7m.blackthorne.core.BTElementHandlerType<MManifestItemType,MManifest>
A parser.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Mx1Manifest(com.io7m.blackthorne.core.BTElementParsingContextType context)`
  A parser.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<com.io7m.blackthorne.core.BTQualifiedName,com.io7m.blackthorne.core.BTElementHandlerConstructorType<?,? extends MManifestItemType>>`
  `onChildHandlersRequested(com.io7m.blackthorne.core.BTElementParsingContextType context)`
  `void`
  `onChildValueProduced(com.io7m.blackthorne.core.BTElementParsingContextType context, MManifestItemType result)`
  `MManifest`
  `onElementFinished(com.io7m.blackthorne.core.BTElementParsingContextType context)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.io7m.blackthorne.core.BTElementHandlerType

  `map, name, onCharacters, onElementStart, onShouldIgnoreUnrecognizedElements`

- ## Constructor Details

  - ### Mx1Manifest

    public Mx1Manifest(com.io7m.blackthorne.core.BTElementParsingContextType context)
    A parser.
    Parameters:
      `context` - The context

- ## Method Details

  - ### onChildHandlersRequested

    public Map<com.io7m.blackthorne.core.BTQualifiedName,com.io7m.blackthorne.core.BTElementHandlerConstructorType<?,? extends MManifestItemType>> onChildHandlersRequested(com.io7m.blackthorne.core.BTElementParsingContextType context)
    Specified by:
      `onChildHandlersRequested` in interface `com.io7m.blackthorne.core.BTElementHandlerType<MManifestItemType,MManifest>`

  - ### onChildValueProduced

    public void onChildValueProduced(com.io7m.blackthorne.core.BTElementParsingContextType context, MManifestItemType result)
    Specified by:
      `onChildValueProduced` in interface `com.io7m.blackthorne.core.BTElementHandlerType<MManifestItemType,MManifest>`

  - ### onElementFinished

    public MManifest onElementFinished(com.io7m.blackthorne.core.BTElementParsingContextType context)
    Specified by:
      `onElementFinished` in interface `com.io7m.blackthorne.core.BTElementHandlerType<MManifestItemType,MManifest>`